<template>
  <v-container>
    <v-data-table
      :headers="itemHeaders"
      :items="products"
      :single-expand="true"
      item-key="id"
      show-expand
      disable-filtering
      disable-pagination
      hide-default-footer
    >
      <template #expanded-item="{ headers, item }">
        <td :colspan="headers.length">
          <items-per-product
            :items="itemsByProductId(item.detailsId)"
          />
        </td>
      </template>

      <template #item.count="{ item }">
        {{ cantItemsByProductId(item.detailsId) }}
      </template>
    </v-data-table>
  </v-container>
</template>

<script>
import { mapGetters, mapState } from 'vuex';
import ItemsPerProduct from '~/components/Storage/Shipments/Details/Extra/CommodityItems/ItemsPerProduct';

export default {
  name: 'CommodityItems',
  components: {
    ItemsPerProduct,
  },
  data() {
    return {
      itemHeaders: [
        { text: 'Nª', align: 'start', value: 'detailsId' },
        { text: 'Producto', value: 'description' },
        { text: 'Unidades (pallets)', align: 'center', value: 'count' },
      ],
    };
  },
  computed: {
    ...mapState({
      products: state => state.storage.shipments.current.products,
    }),
    ...mapGetters({
      itemsByProductId: 'storage/shipments/itemsByProductId',
      cantItemsByProductId: 'storage/shipments/cantItemsByProductId',
    }),
  },
};
</script>
